/**************** (c) 2002 STMicroelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  adc_8bit.c
VERSION :  

CREATION DATE : 01.2001

AUTHOR : CMG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : ADC Routines

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#include "lib.h"
#include "debug.h"
#include "adc_8bit_hr.h"
#include "adc_8bit.h"

/*-----------------------------------------------------------------------------
ROUTINE NAME : ADC_Init
INPUT/OUTPUT : None

DESCRIPTION  : Configure the ADC

COMMENTS     :
-----------------------------------------------------------------------------*/
void ADC_Init(void)
{ 
}       


/*-----------------------------------------------------------------------------
ROUTINE NAME : 
INPUT/OUTPUT : 

DESCRIPTION  : 

COMMENTS     :
-----------------------------------------------------------------------------*/
u8 Read_temperature(void)      // return value 0 - 31
{
u8 static old_value_1 =128;	
u8 value;

ADCCSR = 0x22;                  // x010 0010  inicializace ADC prevodniku na AIN2 PIN6
while(!ValBit(ADCCSR,7));   
ClrBit(ADCCSR,5);
value = ADCDR;
if (value == 0) {value = 1;}           // tha value must be between 1 to 254 to avoid overflow
if (value == 255) {value = 254;}
if ((value < (old_value_1 - 1))||(value > (old_value_1 + 1))) // hysterese +-2 digits
 {
 old_value_1 = value; 
 }
else
 {
 value = old_value_1;
 }
return value;
}
/*-------------------------set individual brightness ------------------------------------*/
u8 Read_color_brightness(void)
{
u8 static old_value =128;	
u8 value;

ADCCSR = 0x20;    // x010 0000  inicializace ADC prevodniku na AIN0 PIN4
while(!ValBit(ADCCSR,7));   
ClrBit(ADCCSR,5);
value = ADCDR;
if (value == 0) {value = 1;}           // tha value must be between 1 to 254 to avoid overflow
if (value == 255) {value = 254;}
if ((value < (old_value - 1))||(value > (old_value + 1))) // hysterese +-2 digits
 {
 old_value = value; 
 }
else
 {
 value = old_value;
 }
return value;
}
/*-------------------------set PWM brightness ------------------------------------*/
u8 Read_PWM_brightness(void)
{
u8 static old_value1 =128;	
u8 value;

ADCCSR = 0x24;                  // x010 0100  inicializace ADC prevodniku na AIN4 PIN8
while(!ValBit(ADCCSR,7));   
ClrBit(ADCCSR,5);
value = ADCDR;
if (value > 252) {value = 252;}     // value is 0 to 63 (252 devided by 4)
if ((value < (old_value1 - 1))||(value > (old_value1 + 1))) // hysterese +-2 digits
 {
 old_value1 = value; 
 }
else
 {
 value = old_value1;
 }
return value;
}
/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

