/**************** (c) 2002 STMicroelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  adc_8bit_hr.h
VERSION :  

CREATION DATE : 01.2001 

AUTHOR : CMG 8-bit Micro Application Team 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : 

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#ifndef ADC2_HR_H
#define ADC2_HR_H


/*---REGISTERS---*/ 
                                           
#ifdef __HIWARE__						/* only for HIWARE Compiler*/
#pragma DATA_SEG SHORT ADC
extern volatile u8 ADCCSR;				/* ADC Control Status Register		*/
extern volatile u8 ADCDR;				/* ADC Data Register				*/
extern u8 ADCAMP;						/* ADC Amplifier Control Register	*/
#pragma DATA_SEG DEFAULT
#endif

#ifdef __CSMC__							/* only for Cosmic Compiler*/
@tiny extern volatile u8 ADCCSR @0x34;	/* ADC Control Status Register */
@tiny extern volatile u8 ADCDR @0x35;	/* ADC Data Register */
@tiny extern u8 ADCAMP @0x36;			/* ADC Amplifier Control Register	*/
#endif

/*---CONSTANTS---*/

/* ADC Control/Status Register bit definition */

#define COCO        0x07        	/* Conversion Complete */
#define ADON        0x05        	/* A/D converter on */

/* ADC Amplifier Control Register bit definition */

#define AMPON       0x00        	/* Amplifier on */


#endif


/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

