/**************** (c) 2002  STMicroelectronics **********************
     
PROJECT  :
COMPILER : 

MODULE  :  main.c
VERSION :  

CREATION DATE : 01.2001 

AUTHOR : CMG 8-bit Micro Application Team 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION :   Main Routine
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************

******************************************************************************/

/* Include files */

#include "lib.h"        /* Predifined libraries working at bit level */
#include "debug.h"      /* Debugging options */
#include "clock_reset_supply.h"
#include "ports.h"
#include "pwm_ar_timer_12bit.h"
#include "blink.h"
#include "spi.h"
#include "interrupt_contr.h"
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-


void main(void)
{ 
  CRS_Init();						// RC calibration
	PORTS_Init();         // Ports initialization
  AR_TIMER_Init();      // PWM timer initialization for time base generation
  SPI_Init();
  ITC_Init();           // seting sensitivity of external interrupt
  EnableInterrupts;
                             
  while(1) {            // never ending loop. (<=> jra assembler instruction)
   
  blink();              // main blinking functions
   
  } // while(1) loop                            
} // main loop

/*** (c) 2002  STMcroelectronics ****************** END OF FILE ***/
