/**************** (c) 2002 STMicroelectronics **********************

PROJECT  :
COMPILER : 

MODULE  :  ports_hr.h
VERSION : 

CREATION DATE : 01.2001

AUTHOR : CMG 8-bit Micro Application Team 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : Initialization Routines

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#ifndef PORTS5_HR_H
#define PORTS5_HR_H

/*---REGISTERS---*/ 

#ifdef __HIWARE__						/* only for HIWARE Compiler*/
#pragma DATA_SEG SHORT PORT_A
extern volatile u8 PADR;				/* port A data register             */          
extern u8 PADDR;						/* port A data direction register   */
extern u8 PAOR;							/* port A option register           */  
#pragma DATA_SEG DEFAULT
#endif

#ifdef __CSMC__							/* only for Cosmic Compiler*/
@tiny extern volatile u8 PADR @0x00;	/* port A data register             */          
@tiny extern u8 PADDR @0x01;			/* port A data direction register   */
@tiny extern u8 PAOR @0x02;				/* port A option register           */  
#endif

  
#ifdef __HIWARE__						/* only for HIWARE Compiler*/
#pragma DATA_SEG SHORT PORT_B
extern volatile u8 PBDR;				/* port B data register             */          
extern u8 PBDDR;						/* port B data direction register   */
extern u8 PBOR;							/* port B option register           */
#pragma DATA_SEG DEFAULT
#endif

#ifdef __CSMC__							/* only for Cosmic Compiler*/
@tiny extern volatile u8 PBDR @0x03;	/* port B data register             */          
@tiny extern u8 PBDDR @0x04;			/* port B data direction register   */
@tiny extern u8 PBOR @0x05;				/* port B option register           */
#endif

#endif


/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

