/**************** (c) 2002 STMicroelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  pwm_ar_timer_12bit.c
VERSION :  

CREATION DATE : 01.2001

AUTHOR : CMG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : Functions 12-bit Autoreload Timer
              
 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#include "lib.h"
#include "debug.h"
#include "pwm_ar_timer_12bit_hr.h"
#include "pwm_ar_timer_12bit.h"
#include "blink.h"
#include "ports_hr.h" // testing
/*-----------------------------------------------------------------------------
ROUTINE NAME : AT_TIMER_Init
INPUT/OUTPUT : None

DESCRIPTION  : Configure the 12-bit Autoreload Timer

COMMENTS     :
-----------------------------------------------------------------------------*/
void AR_TIMER_Init(void)
{
ATCSR = 0x12;            // xxx1 0000 f counter clock section = f CPU a povoleni preruseni
ATRH = 0x0B;
ATRL = 0x1E;           //PWM 100Hz => fPWM = PWM x LEVELS = 100 x 64 = 6400  => ATR = 4096 - (8000000/6400) = 2846
//ATRH = 0x0C;             
//ATRL = 0xE0;             //nastaveni frekvence 10000Hz @ f cpu 8MHz (PLL = 8 @ Fcpu = 1MHz) tj. dekadicka hodnota ATR je 3296  fPWM = fcout/(4096-ATR)
                         // ATR = 4096 - (fcount/fPWM) = 3296 
												 //fPWM = 8MHz/4096-3296 = 10000Hz
}        
    


#ifdef __HIWARE__				/* test for HIWARE Compiler */
#pragma TRAP_PROC SAVE_REGS		/* additional registers will be saved */
#else
#ifdef __CSMC__					/* test for Cosmic Compiler */
@interrupt						/* Cosmic interrupt handling */
#else
#error"Unsupported Compiler!"	/* Compiler Defines not found! */
#endif
#endif
/*-----------------------------------------------------------------------------
ROUTINE NAME : AR_TIMER_OF_Interrupt
INPUT/OUTPUT : None

DESCRIPTION  : 12-bit Autoreload Timer Overflow Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void AR_TIMER_OF_Interrupt(void)
{  
// SetBit(PADR,3); // for synchronization oscilloscope - testing
// ClrBit(PADR,3); // for synchronization oscilloscope - testing
Time_to_write();
ATCSR;
}  /* End of void AR_TIMER_OF_Interrupt(void) */




#ifdef __HIWARE__				/* test for HIWARE Compiler */
#pragma TRAP_PROC SAVE_REGS		/* additional registers will be saved */
#else
#ifdef __CSMC__					/* test for Cosmic Compiler */
@interrupt						/* Cosmic interrupt handling */
#else
#error"Unsupported Compiler!"	/* Compiler Defines not found! */
#endif
#endif
/*-----------------------------------------------------------------------------
ROUTINE NAME : AR_TIMER_OC_Interrupt
INPUT/OUTPUT : None

DESCRIPTION  : 12-bit Autoreload Timer Output Compare Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void AR_TIMER_OC_Interrupt(void)
{  
   
}  /* End of void AR_TIMER_OC_Interrupt(void) */


/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/
 


