/**************** (c) 2002 ST Microelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  pwm_ar_timer_12bit_hr.h
VERSION :  

CREATION DATE : 01.2001

AUTHOR :  CMG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : 

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#ifndef AR_TIMER_HR_H
#define AR_TIMER_HR_H


/*---REGISTERS---*/ 

#ifdef __HIWARE__						/* only for HIWARE Compiler*/
#pragma DATA_SEG SHORT AR_TIMER_1
extern volatile u8 ATCSR;				/* Timer Control Status Register 	*/
extern volatile u8 CNTRH;				/* Counter Register High 			*/
extern volatile u8 CNTRL;				/* Counter Register Low 			*/
extern volatile u8 ATRH;				/* Auto-Reload Register High 		*/
extern volatile u8 ATRL;				/* Auto-Reload Register Low 		*/
extern u8 PWMCR;						/* PWM Output Control Register 		*/
extern volatile u8 PWM0CSR;				/* PWM 0 Control Status Register 	*/

#pragma DATA_SEG SHORT AR_TIMER_2
extern volatile u8 DCR0H;				/* PWM Duty Cycle Register High		*/
extern volatile u8 DCR0L;				/* PWM Duty Cycle Register Low 		*/
#pragma DATA_SEG DEFAULT
#endif

#ifdef __CSMC__							/* only for Cosmic Compiler*/
@tiny extern volatile u8 ATCSR @0x00D;	/* Timer Control Status Register 	*/
@tiny extern volatile u8 CNTRH @0x00E;	/* Counter Register High 			*/
@tiny extern volatile u8 CNTRL @0x00F;	/* Counter Register Low 			*/
@tiny extern volatile u8 ATRH @0x010;	/* Auto-Reload Register High 		*/
@tiny extern volatile u8 ATRL @0x11;	/* Auto-Reload Register Low 		*/
@tiny extern u8 PWMCR @0x012;			/* PWM Output Control Register 		*/
@tiny extern volatile u8 PWM0CSR @0x013; /* PWM 0 Control Status Register 	*/
@tiny extern volatile u8 DCR0H @0x017;	/* PWM Duty Cycle Register High		*/
@tiny extern volatile u8 DCR0L @0x018;	/* PWM Duty Cycle Register Low 		*/
#endif

/*---CONSTANTS---*/

/* Auto Reload Timer 12bit Control Status Register bit definition  */

#define OVF         0x02        /* Overflow Flag                       */
#define OVFIE       0x01        /* Overflow Interrupt Enable           */
#define CMPIE       0x00        /* Compare Interrupt Enable            */

/* Auto Reload Timer 12bit PWM0 Control Status Register bit definition */

#define OP0         0x02        /* PWM0 Output Polarity                */
#define CMPF0       0x01        /* PWM0 Compare Flag                   */
                                                                        
/* Auto Reload Timer 12bit PWM Output Control Register bit definition  */

#define OE0         0x00        /* PWM Output compare Enable           */

#endif

/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

