/**************** (c) 2002 STMicroelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  spi.c
VERSION :  

CREATION DATE : 01.2001 

AUTHOR : CMG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : Initialization Routines

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#include "lib.h"
#include "debug.h"
#include "spi_hr.h"
#include "spi.h"
#include "blink.h"
/*-----------------------------------------------------------------------------
ROUTINE NAME : Init_SPI
INPUT/OUTPUT : None

DESCRIPTION  : Configure the SPI

COMMENTS     :
-----------------------------------------------------------------------------*/
void SPI_Init(void)
{ 
SPISR = 0x03; //register is set like xxxx 0011
//SPICR = 0xF2;  //register is set like 1111 0010 serial clock = fcpu / 32
SPICR = 0xF0;  //register is set like 1111 0000 serial clock = fcpu / 4
}       


#ifdef __HIWARE__				/* test for HIWARE Compiler */
#pragma TRAP_PROC SAVE_REGS		/* additional registers will be saved */
#else
#ifdef __CSMC__					/* test for Cosmic Compiler */
@interrupt						/* Cosmic interrupt handling */
#else
#error"Unsupported Compiler!"	/* Compiler Defines not found! */
#endif
#endif
/*-----------------------------------------------------------------------------
ROUTINE NAME : SPI_Interrupt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void SPI_Interrupt(void)
{ 
Send_DATA();
}


/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

